%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define contentdir /var/www

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:         	mythtv
Version:       	0.23.1
Release:       	1
BuildArch:	i686
Summary:       	A personal video recorder (PVR) application
URL:           	http://mythtv.org/
License:       	GPL2
Group:         	Multimedia
Source0:       	mythtv-%{version}.tar.bz2
Source1:       	mythplugins-%{version}.tar.bz2
Source2:	myththemes-%{version}.tar.bz2
Source10:      	mythtv-session.desktop
Source101:     	mythbackend.init
Source102:     	mythbackend.logrotate
Source106:     	mythfrontend.png
Source107:     	mythfrontend.desktop
Source108:     	mythtv-setup.png
Source109:     	mythtv-setup.desktop
Source110:     	mysql.txt
Source120:     	mythweb.conf
Source201:     	mythfrontend-1024x576.desktop
Source202:     	mythfrontend-800x450.desktop
Patch0:        	mythtv-0.22-svnfixes.patch
Patch1:        	mythplugins-0.22-svnfixes.patch
Patch2:        	mythtv-ldconfig.patch
Patch3:        	mythtv-python-install.patch
Patch4:		mythtv-python26.patch
Patch5: 	mythtv-0.22-ostreaming.patch
Patch10:	mythtv-compile_fixes_for_qt_4_7.patch
Patch11:	mythplugins-compile_fixes_for_qt_4_7.patch
Buildrequires: 	fdupes
Buildrequires: 	qt4-devel
BuildRequires: 	phonon-devel
BuildRequires: 	kernel-headers
BuildRequires: 	webkitkde-devel
BuildRequires: 	fribidi-devel
BuildRequires: 	libvdpau-devel
BuildRequires: 	lirc-devel
BuildRequires: 	lm_sensors-devel
BuildRequires: 	freetype-devel
BuildRequires: 	libXmu-devel
BuildRequires: 	libXv-devel libXvMC openssl-devel
BuildRequires:  xorg-x11-server-utils
BuildRequires: 	libX11-devel xorg-x11-proto-devel libXvMC-devel libXrandr-devel libXrender-devel libXext-devel
BuildRequires: 	mesa-libGL-devel mesa-libGLU-devel libXxf86vm-devel libXinerama-devel
BuildRequires:  DirectFB-devel 
Buildrequires: 	nasm
Buildrequires: 	yasm-devel
Buildrequires:  pkg-config

# codec requirements
BuildRequires: 	liba52-devel
Buildrequires: 	lame-devel
BuildRequires: 	fftw-devel fftw
BuildRequires: 	faac-devel
BuildRequires: 	faad2-devel
BuildRequires: 	flac-devel
BuildRequires: 	libdvdcss-devel
BuildRequires: 	libdvdnav-devel >= 4.1.3 libdvdnav >= 4.1.3
BuildRequires: 	libdvdread-devel >= 4.1.3 libdvdread >= 4.1.3
BuildRequires: 	libfame-devel
BuildRequires: 	libmad-devel
BuildRequires: 	libogg-devel
BuildRequires: 	libtheora-devel
BuildRequires: 	libvorbis-devel
BuildRequires: 	mjpegtools-devel
BuildRequires: 	taglib-devel
BuildRequires: 	transcode
BuildRequires: 	x264-devel
BuildRequires: 	xvidcore-devel

# audio support
BuildRequires: 	alsa-lib-devel
BuildRequires: 	jack-audio-connection-kit-devel
BuildRequires: 	pulseaudio-libs-devel

# firewire support
BuildRequires: 	libiec61883-devel
BuildRequires: 	libavc1394-devel
BuildRequires: 	libraw1394-devel

BuildRequires: 	perl-DBI
BuildRequires: 	perl-libwww-perl

# python bindings
BuildRequires: 	python26-devel

# mythgallery plugin
BuildRequires: 	libexif-devel

# mythgame plugin
BuildRequires:  zlib-devel

# mythmusic plugin
BuildRequires:  libcdaudio-devel
BuildRequires:  cdparanoia-III-devel
BuildRequires:  libvisual-devel
BuildRequires:  SDL-devel
BuildRequires:  ncurses-devel

# mythvideo plugin
BuildRequires:  perl-XML-Simple

# mythzoneminder plugin
BuildRequires:  mysql-devel

%define mythfeapiver %(echo %{version} | awk -F. '{print $1 "." $2}')

%description
MythTV provides a unified graphical interface for recording and viewing
television programs.  Refer to the mythtv package for more information.

There are also several add-ons and themes available. In order to facilitate
installations with smart/apt-get/yum and other related package
resolvers this meta-package can be used to install all in one sweep.

MythTV implements the following DVR features, and more, with a
unified graphical interface:

 - Basic 'live-tv' functionality.  Pause/Fast Forward/Rewind "live" TV.
 - Video compression using RTjpeg or MPEG-4, and support for DVB and
   hardware encoder cards/devices.
 - Program listing retrieval using XMLTV
 - Themable, semi-transparent on-screen display
 - Electronic program guide
 - Scheduled recording of TV programs
 - Resolution of conflicts between scheduled recordings
 - Basic video editing


%package docs
Summary: MythTV documentation
Group:   Documentation

%description docs
The MythTV documentation, contrib files, database initialization file
and miscellaneous other bits and pieces.


%package -n libmyth
Summary:   Library providing mythtv support
Group:     System Environment/Libraries
Provides:  mythtv-frontend-api = %{mythfeapiver}
Provides:  libmyth = %{version}-%{release}
Conflicts: libmyth < %{version}
Requires:  qt4

%description -n libmyth
Common library code for MythTV and add-on modules (development)
MythTV provides a unified graphical interface for recording and viewing
television programs.  Refer to the mythtv package for more information.


%package -n libmyth-devel
Summary:   Development files for libmyth
Group:     Development/Libraries
Requires:  libmyth = %{version}-%{release}
Provides:  libmyth-devel = %{version}-%{release}
Conflicts: libmyth-devel < %{version}

%description -n libmyth-devel
This package contains the header files and libraries for developing
add-ons for mythtv.


%package base-themes
Summary: Core user interface themes for mythtv
Group:   Multimedia
BuildArch: noarch
Provides:  mythtv-themes = %{version}-%{release}
Conflicts: mythtv-themes < %{version}


%description base-themes
MythTV provides a unified graphical interface for recording and viewing
television programs.  Refer to the mythtv-docs package for more information.

This package contains the base themes for the mythtv user interface.


%package frontend
Summary:   Client component of mythtv (a DVR)
Group:     Multimedia
Requires:  mythtv-common       = %{version}-%{release}
Requires:  mythtv-base-themes  = %{version}
Requires:  mythtv-frontend-api = %{mythfeapiver}
Provides:  mythtv-frontend = %{version}-%{release}


%description frontend
MythTV provides a unified graphical interface for recording and viewing
television programs.  Refer to the mythtv package for more information.

This package contains only the client software, which provides a
front-end for playback and configuration.  It requires access to a
mythtv-backend installation, either on the same system or one
reachable via the network.


%package backend
Summary:    Server component of mythtv (a DVR)
Group:      Multimedia
Requires(pre):     /usr/sbin/useradd
Requires:   mythtv-common = %{version}-%{release}
Provides:   mythtv-backend = %{version}-%{release}
Conflicts:  mythtv-backend < %{version}
Requires:   logrotate

%description backend
MythTV provides a unified graphical interface for recording and viewing
television programs.  Refer to the mythtv package for more information.

This package contains only the server software, which provides video
and audio capture and encoding services.  In order to be useful, it
requires a mythtv-frontend installation, either on the same system or
one reachable via the network.


%package setup
Summary:   Setup the mythtv backend
Group:     Multimedia
Requires:  mythtv-backend = %{version}-%{release}
Requires:  mythtv-base-themes = %{version}
Provides:  mythtv-setup = %{version}-%{release}
Conflicts: mythtv-setup < %{version}


%description setup
MythTV provides a unified graphical interface for recording and viewing
television programs.  Refer to the mythtv package for more information.

This package contains only the setup software for configuring the
mythtv backend.


%package common
Summary: Common components needed by multiple other MythTV components
Group: Multimedia

%description common
MythTV provides a unified graphical interface for recording and viewing
television programs.  Refer to the mythtv package for more information.

This package contains components needed by multiple other MythTV components.


%package -n perl-MythTV
Summary:        Perl bindings for MythTV
Group:          Development/Languages
# Wish we could do this:
#BuildArch:      noarch
Requires:       perl
Requires:       perl-DBI
# Disabled because there are no RPM packages for these yet,
#Requires:       perl(Net::UPnP)
#Requires:       perl(Net::UPnP::ControlPoint)


%description -n perl-MythTV
Provides a perl-based interface to interacting with MythTV.


%package -n python26-MythTV
Summary:        Python bindings for MythTV
Group:          Development/Languages
Requires:       python26-mysql
BuildArch: noarch


%description -n python26-MythTV
Provides a python-based interface to interacting with MythTV.


%package plugin-mytharchive
Summary:   A module for MythTV for creating and burning DVDs
Group:     Multimedia
Provides:  mytharchive = %{version}-%{release}
Conflicts: mytharchive < %{version}
Obsoletes: mytharchive < %{version}
Requires:  python26-mysql
Requires:  cdrecord
Requires:  dvd+rw-tools
Requires:  dvdauthor
Requires:  ffmpeg
Requires:  mjpegtools
Requires:  mkisofs
Requires:  python26
Requires:  python26-pil
Requires:  transcode

%description plugin-mytharchive
MythArchive is a new plugin for MythTV that lets you create DVDs from
your recorded shows, MythVideo files and any video files available on
your system.


%package plugin-mythbrowser
Summary:   A small web browser module for MythTV
Group:     Multimedia
Provides:  mythbrowser = %{version}-%{release}
Conflicts: mythbrowser < %{version}
Obsoletes: mythbrowser < %{version}

%description plugin-mythbrowser
MythBrowser is a full fledged web-browser (multiple tabs) to display
webpages in full-screen mode. Simple page navigation is possible.
Starting with version 0.13 it also has full support for mouse driven
navigation (right mouse opens and clos es the popup menu).

MythBrowser also contains a BookmarkManager to manage the website
links in a simple mythplugin.

# mythflix plugin got dropped with 0.23
# maybe it comes back later
#%package plugin-mythflix
#Summary:   A NetFlix module for MythTV
#Group:     Multimedia
#Provides:  mythflix = %{version}-%{release}
#Conflicts: mythflix < %{version}
#Obsoletes: mythflix < %{version}
#Requires:  mythtv-frontend-api = %{mythfeapiver}
#
#%description plugin-mythflix
#MythFlix is a NetFlix queue manager for MythTV.


%package plugin-mythgallery
Summary:   A gallery/slideshow module for MythTV
Group:     Multimedia
Provides:  mythgallery = %{version}-%{release}
Conflicts: mythgallery < %{version}
Obsoletes: mythgallery < %{version}
Requires:  mythtv-frontend-api = %{mythfeapiver}

%description plugin-mythgallery
A gallery/slideshow module for MythTV.


%package plugin-mythgame
Summary:   A game frontend (xmame, nes, snes, pc) for MythTV
Group:     Multimedia
Provides:  mythgame = %{version}-%{release}
Conflicts: mythgame < %{version}
Obsoletes: mythgame < %{version}
Requires:  mythtv-frontend-api = %{mythfeapiver}

%description plugin-mythgame
A game frontend (xmame, nes, snes, pc) for MythTV.


%package plugin-mythmovies
Summary:   A module for MythTV for providing local show times and cinema listings
Group:     Multimedia
Provides:  mythmovies = %{version}-%{release}
Conflicts: mythmovies < %{version}
Obsoletes: mythmovies < %{version}
Requires:  mythtv-frontend-api = %{mythfeapiver}

%description plugin-mythmovies
MythMovies is a plugin to provide show times and cinema listings
based on Zip/Post code and a given radius. It uses external scripts to
grab times and so can be used in any country so long as a script is
written for a local data source. It ships with a grabber for the USA
which uses the ignyte website.


%package plugin-mythmusic
Summary:   The music player add-on module for MythTV
Group:     Multimedia
Provides:  mythmusic = %{version}-%{release}
Conflicts: mythmusic < %{version}
Obsoletes: mythmusic < %{version}
Requires:  mythtv-frontend-api = %{mythfeapiver}

%description plugin-mythmusic
Music add-on for mythtv.


%package plugin-mythnews
Summary:   An RSS news feed plugin for MythTV
Group:     Multimedia
Provides:  mythnews = %{version}-%{release}
Conflicts: mythnews < %{version}
Obsoletes: mythnews < %{version}
Requires:  mythtv-frontend-api = %{mythfeapiver}

%description plugin-mythnews
An RSS news feed reader plugin for MythTV.


%package plugin-mythvideo
Summary:   A generic video player frontend module for MythTV
Group:     Multimedia
Provides:  mythvideo = %{version}-%{release}
Conflicts: mythvideo < %{version}
Obsoletes: mythvideo < %{version}
Requires:  mythtv-frontend-api = %{mythfeapiver}
Requires:  MPlayer
Requires:  transcode

%description plugin-mythvideo
MythVideo is a MythTV module that allows you to play videos, DVDs and
(optionally) VCDs. It can also be configured to let you rip DVDs and
transcode their video and audio content to other (generally smaller)
formats. The player can either use the MythTV internal software (which
now supports DVD menus), or simply to invoke your favorite DVD/XVCD


%package plugin-mythweather
Summary:   A MythTV module that displays a weather forcast
Group:     Multimedia
Provides:  mythweather = %{version}-%{release}
Conflicts: mythweather < %{version}
Obsoletes: mythweather < %{version}
Requires:  mythtv-frontend-api = %{mythfeapiver}
Requires:  perl(XML::SAX::Base)

%description plugin-mythweather
A MythTV module that displays a weather forcast.


%package mythweb
Summary:   The web interface to MythTV
Group:     Multimedia
Provides:  mythweb = %{version}-%{release}
Conflicts: mythweb < %{version}
Obsoletes: mythweb < %{version}
Requires:  php5

%description mythweb
The web interface to MythTV.


%package plugin-mythzoneminder
Summary:   A module for MythTV for camera security and surveillance
Group:     Multimedia
Provides:  mythzoneminder = %{version}-%{release}
Conflicts: mythzoneminder < %{version}
Obsoletes: mythzoneminder < %{version}
Requires:  mythtv-frontend-api = %{mythfeapiver}

%description plugin-mythzoneminder
MythZoneMinder is a plugin to interface to some of the features of
ZoneMinder. You can use it to view a status window similar to the
console window in ZM. Also there are screens to view live camera shots
and replay recorded events.

%package plugin-mythnetvision
Summary:   Netvision plugin module for MythTV
Group:     Multimedia
Requires:  mythtv-frontend-api = %{mythfeapiver}

%description plugin-mythnetvision
Netvision plugin module for MythTV


%prep
%setup -q -c -a 1 -a 2
#%patch4 -p1
pushd mythtv-%{version}
#%patch0 -p1
#%patch5 -p1
#%patch2 -p1
#%patch3 -p1
%patch10 -p1
popd
pushd mythplugins-%{version}
%patch11 -p1
popd



FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" -e "^#! /usr/bin/python" -e "^#! /usr/bin/env python" "{}" \; )
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
    sed -i "s,^#! /usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i    
done


if [ "%{_lib}" != "lib" ]; then
    grep -rlZ '/lib/' . | xargs -r0 sed -i -e 's,/lib/,/%{_lib}/,g'
    grep -rlZ '/lib$' . | xargs -r0 sed -i -e 's,/lib$,/%{_lib},'
    grep -rlZ '/lib ' . | xargs -r0 sed -i -e 's,/lib ,/%{_lib} ,g'
fi

pushd mythtv-%{version}

find contrib/ -type f -exec chmod -x "{}" \;
chmod -x themes/default/htmls/*.html

rm -rf contrib/Win32 contrib/OSX

sed -i -e 's#perl Makefile.PL#%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"#' \
    bindings/perl/perl.pro

sed -i -e 's,VENDOR_XVMC_LIBS="-lXvMCNVIDIA",VENDOR_XVMC_LIBS="-lXvMCNVIDIA -lXv",' configure

cp -a %{S:106} %{S:107} %{S:108} %{S:109} %{S:201} %{S:202} .

popd

temp=`pwd`/temp
pushd mythplugins-%{version}
perl -pi -e"s,\\\$\\\${DEPLIBS}/libmyth,$temp%{_libdir}/libmyth," targetdep.pro
find . -name \*.pro | xargs perl -pi -e's,\$\${PREFIX}/include/mythtv,'$temp/usr/include/mythtv,
cat >> settings.pro << EOF
INCLUDEPATH += $temp/usr/include
LIBS *= -L$temp%{_libdir}
EOF

pushd mythmusic
sed -i -e's,/mnt/store/music,%{_localstatedir}/lib/mythmusic,' mythmusic/globalsettings.cpp
popd

pushd mythvideo
sed -i -e 's,/share/Movies/dvd,%{_localstatedir}/lib/mythvideo,' mythvideo/globalsettings.cpp
find mythvideo/scripts/ -name '*.py' -exec chmod +x "{}" \;
popd

pushd mythweb
chmod -R g-w ./*
find . -name '*.php' -exec chmod -x "{}" \;
popd

popd


%build
pushd mythtv-%{version}

./configure \
    --prefix=%{_prefix}                         \
    --libdir=%{_libdir}                         \
    --libdir-name=%{_lib}                       \
    --mandir=%{_mandir}                         \
    --enable-iptv                               \
    --enable-pthreads                           \
    --enable-ffmpeg-pthreads                    \
    --enable-joystick-menu                      \
    --enable-audio-alsa                         \
    --enable-audio-oss                          \
    --enable-audio-jack                         \
    --enable-libfftw3                           \
    --enable-x11 --x11-path=%{_includedir}      \
    --enable-xv                                 \
    --enable-xvmc-vld --enable-xvmc-pro         \
    --enable-opengl-video --enable-opengl-vsync \
    --enable-xrandr                             \
    --enable-lirc                               \
    --enable-ivtv                               \
    --enable-firewire                           \
    --enable-dvb                                \
    --enable-libfaad --enable-libfaadbin        \
    --enable-libmp3lame                         \
    --enable-libtheora --enable-libvorbis       \
    --enable-libxvid                            \
    --enable-vdpau                              \
    --enable-xvmcw                             \
    --disable-directfb                          \
    --extra-cflags="%{optflags} -fomit-frame-pointer" \
    --extra-cxxflags="%{optflags} -fomit-frame-pointer" \
    --extra-libs="-ldl"                         \
    --compile-type=release                      \
    --without-bindings=perl \
    --python=/usr/bin/python2.6

perl -pi -e"s|^OPTFLAGS=.*|OPTFLAGS=%{optflags} -fomit-frame-pointer|" libs/libmyth/mythconfig.mak
perl -pi -e's|^ARCHFLAGS=.*|ARCHFLAGS=|' libs/libmyth/mythconfig.mak

%__make %{?jobs:-j%{jobs}}

popd

mkdir temp
temp=`pwd`/temp
mkdir -p $temp%{perl_vendorlib}
make -C mythtv-%{version} install INSTALL_ROOT=$temp
export LD_LIBRARY_PATH=$temp%{_libdir}:$LD_LIBRARY_PATH

pushd mythplugins-%{version}

echo "QMAKE_PROJECT_DEPTH = 0" >> settings.pro
find . -name \*.pro \
    -exec sed -i -e "s,INCLUDEPATH += .\+/include/mythtv,INCLUDEPATH += $temp%{_includedir}/mythtv," {} \; \
    -exec sed -i -e "s,DEPLIBS = \$\${LIBDIR},DEPLIBS = $temp%{_libdir}," {} \; \
    -exec sed -i -e "s,\$\${PREFIX}/include/mythtv,$temp%{_includedir}/mythtv," {} \;
echo "INCLUDEPATH -= \$\${PREFIX}/include" >> settings.pro
echo "INCLUDEPATH -= %{_includedir}"       >> settings.pro
echo "INCLUDEPATH += $temp%{_includedir}"  >> settings.pro
echo "INCLUDEPATH += %{_includedir}"       >> settings.pro
echo "LIBS *= -L$temp%{_libdir}"           >> settings.pro
echo "QMAKE_LIBDIR += $temp%{_libdir}"     >> targetdep.pro

./configure \
    --prefix=${temp}%{_prefix} \
    --libdir=%{_libdir} \
    --libdir-name=%{_lib} \
    --enable-mytharchive \
    --enable-create-dvd \
    --enable-create-archive \
    --enable-mythbrowser \
    --enable-mythflix \
    --enable-mythgallery \
    --enable-exif \
    --enable-new-exif \
    --enable-mythgame \
    --enable-mythmovies \
    --enable-mythmusic \
    --enable-mythnews \
    --enable-mythvideo \
    --enable-transcode \
    --enable-vcd \
    --enable-mythweather \
    --enable-mythweb \
    --enable-mythzoneminder \
    --enable-opengl \
    --enable-libvisual \
    --enable-fftw \
    --enable-sdl \
    --enable-aac \
    --compile-type=release \
    --disable-stripping


%__make %{?jobs:-j%{jobs}}


popd

pushd myththemes-%{version}
echo "QMAKE_PROJECT_DEPTH = 0" >> settings.pro
find . -name \*.pro \
    -exec sed -i -e "s,INCLUDEPATH += .\+/include/mythtv,INCLUDEPATH += $temp%{_includedir}/mythtv," {} \; \
    -exec sed -i -e "s,DEPLIBS = \$\${LIBDIR},DEPLIBS = $temp%{_libdir}," {} \; \
    -exec sed -i -e "s,\$\${PREFIX}/include/mythtv,$temp%{_includedir}/mythtv," {} \;
echo "INCLUDEPATH -= \$\${PREFIX}/include" >> settings.pro
echo "INCLUDEPATH -= %{_includedir}"       >> settings.pro
echo "INCLUDEPATH += $temp%{_includedir}"  >> settings.pro
echo "INCLUDEPATH += %{_includedir}"       >> settings.pro
echo "LIBS *= -L$temp%{_libdir}"           >> settings.pro
echo "QMAKE_LIBDIR += $temp%{_libdir}"     >> targetdep.pro

./configure \
    --prefix=${temp}%{_prefix} \
    --libdir=%{_libdir} \
    --libdir-name=%{_lib}

%__make %{?jobs:-j%{jobs}}
popd


%install
rm -rf $RPM_BUILD_ROOT
pushd mythtv-%{version}

%makeinstall INSTALL_ROOT=%{buildroot}

ln -sf mythtv-setup %{buildroot}%{_bindir}/mythtvsetup
install -d %{buildroot}%{_localstatedir}/lib/mythtv
install -d %{buildroot}%{_localstatedir}/log/mythtv
install -d %{buildroot}%{_localstatedir}/cache/mythtv
install -d %{buildroot}%{_sysconfdir}/mythtv

#chmod +x %{buildroot}%{python_sitelib}/MythTV/Myth{DB,TV}.py

echo "# to be filled in by mythtv-setup" > %{buildroot}%{_sysconfdir}/mythtv/config.xml
install -D -p -m 755 %{SOURCE101} %{buildroot}%{_sysconfdir}/init.d/mythbackend
install -D -p -m 644 %{SOURCE102}  %{buildroot}%{_sysconfdir}/logrotate.d/mythbackend
#install -D -p -m 644 mythbackend.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/mythbackend

for file in mythfrontend  mythtv-setup; do
  install -D -p $file.png %{buildroot}%{_datadir}/pixmaps/$file.png
  install -D -m 644 $file.desktop %{buildroot}%{_datadir}/applications/$file.desktop
done
install -D -m 644 mythfrontend-1024x576.desktop %{buildroot}%{_datadir}/applications/mythfrontend-1024x576.desktop
install -D -m 644 mythfrontend-800x450.desktop %{buildroot}%{_datadir}/applications/mythfrontend-800x450.desktop

install -m 644 -D %{S:10} %{buildroot}%{_datadir}/xsessions/mythtv.desktop

install -d %{buildroot}%{_libdir}/mythtv/plugins

install -D -m 644 settings.pro %{buildroot}%{_datadir}/mythtv/build/settings.pro
install -D -m 644 %{SOURCE110} %{buildroot}%{_sysconfdir}/mythtv/mysql.txt

popd

pushd mythplugins-%{version}

%makeinstall INSTALL_ROOT=%{buildroot}

install -d %{buildroot}%{_localstatedir}/lib/mythmusic
install -d %{buildroot}%{_localstatedir}/lib/mythvideo
install -d %{buildroot}%{_localstatedir}/lib/pictures
install -d %{buildroot}%{_datadir}/mythtv/games/nes/{roms,screens}
install -d %{buildroot}%{_datadir}/mythtv/games/snes/{roms,screens}
install -d %{buildroot}%{_datadir}/mythtv/games/PC/screens
install -d %{buildroot}%{_datadir}/mame
ln -s ../../mame %{buildroot}%{_datadir}/mythtv/games/xmame
install -d %{buildroot}%{_datadir}/mame/flyers
ln -s snap %{buildroot}%{_datadir}/mythtv/games/xmame/screens
install -d %{buildroot}%{_sysconfdir}/mythgame
cp -a mythgame/gamelist.xml %{buildroot}%{_sysconfdir}/mythgame/
ln -s ../../../../../%{_sysconfdir}/mythgame/ \
        %{buildroot}%{_datadir}/mythtv/games/PC/gamelist.xml

pushd mythweb
install -d %{buildroot}%{contentdir}/html/mythweb
cp -a * %{buildroot}%{contentdir}/html/mythweb/
install -d %{buildroot}%{contentdir}/html/mythweb/{image_cache,php_sessions}
install -D %{SOURCE120} %{buildroot}%{_sysconfdir}/httpd/conf.d/mythweb.conf
rm -f %{buildroot}%{contentdir}/html/mythweb/data/.htaccess
popd

popd

pushd myththemes-%{version}
%makeinstall INSTALL_ROOT=%{buildroot}
popd


fdupes $RPM_BUILD_ROOT%{_includedir}/mythtv
fdupes $RPM_BUILD_ROOT%{_datadir}/mythtv

%post -n libmyth -p /sbin/ldconfig

%postun -n libmyth -p /sbin/ldconfig

%pre backend
# Add the "mythbackend" user and group
/usr/sbin/useradd -r -c "MythTV Backend User" -g video \
    -s /sbin/nologin -d %{_localstatedir}/lib/mythtv mythbackend 2> /dev/null || :

%post backend
/sbin/chkconfig --add mythbackend
/sbin/chkconfig mythbackend on
# Restart mythbackend if we are upgrading...
if test $1 -gt 1; then
        /etc/rc.d/init.d/mythbackend restart 1>/dev/null 2>&1
fi

%preun backend
# Stop mythbackend and remove initscript 
if test $1 = 0; then
        /etc/rc.d/init.d/mythbackend stop 1>/dev/null 2>&1
        /sbin/chkconfig --del mythbackend
fi
# Remove User/Group only when removing finally
if [ $1 -eq 0 ]; then
    /usr/sbin/userdel mythbackend &>/dev/null || :
fi

%files docs
%defattr(-,root,root,-)
%doc mythtv-%{version}/README*
%doc mythtv-%{version}/UPGRADING
%doc mythtv-%{version}/AUTHORS
%doc mythtv-%{version}/COPYING
%doc mythtv-%{version}/FAQ
%doc mythtv-%{version}/database
%doc mythtv-%{version}/keys.txt
%doc mythtv-%{version}/docs
%doc mythtv-%{version}/contrib

%files common
%defattr(-,root,root,-)
%dir %{_sysconfdir}/mythtv
%config(noreplace) %{_sysconfdir}/mythtv/mysql.txt
%config(noreplace) %{_sysconfdir}/mythtv/config.xml
%{_bindir}/mythcommflag
%{_bindir}/mythtranscode
%dir %{_datadir}/mythtv
%{_datadir}/mythtv/mythconverg*.pl

%files backend
%defattr(-,root,root,-)
%{_bindir}/mythbackend
%{_bindir}/mythfilldatabase
%{_bindir}/mythjobqueue
%{_bindir}/mythreplex
%{_datadir}/mythtv/MXML_scpd.xml
%attr(-,mythbackend,video) %dir %{_localstatedir}/lib/mythtv
%attr(-,mythbackend,video) %dir %{_localstatedir}/cache/mythtv
%config %{_sysconfdir}/init.d/mythbackend
#%{_sysconfdir}/sysconfig/mythbackend
%config(noreplace) %{_sysconfdir}/logrotate.d/mythbackend
%attr(-,mythbackend,video) %dir %{_localstatedir}/log/mythtv

%files setup
%defattr(-,root,root,-)
%{_bindir}/mythtv-setup
%{_bindir}/mythtvsetup
%{_datadir}/mythtv/setup.xml
%{_datadir}/applications/*mythtv-setup.desktop

%files frontend
%defattr(-,root,root,-)
%{_datadir}/mythtv/CDS_scpd.xml
%{_datadir}/mythtv/CMGR_scpd.xml
%{_datadir}/mythtv/MFEXML_scpd.xml
%{_datadir}/mythtv/MSRR_scpd.xml
%{_datadir}/mythtv/devicemaster.xml
%{_datadir}/mythtv/deviceslave.xml
%{_bindir}/mythavtest
%{_bindir}/mythfrontend
%{_bindir}/mythtvosd
%{_bindir}/mythlcdserver
%{_bindir}/mythshutdown
%{_bindir}/mythwelcome
%{_libdir}/mythtv/filters
%dir %{_libdir}/mythtv
%dir %{_libdir}/mythtv/plugins
%{_datadir}/mythtv/*.ttf
%dir %{_datadir}/mythtv/i18n
%{_datadir}/mythtv/i18n/mythfrontend_*.qm
%{_datadir}/applications/mythfrontend*.desktop
%{_datadir}/pixmaps/myth*.png
%{_datadir}/xsessions/mythtv.desktop

%files base-themes
%defattr(-,root,root,-)
%dir %{_datadir}/mythtv/themes
%{_datadir}/mythtv/themes/*

%files -n libmyth
%defattr(-,root,root,-)
%{_libdir}/*.so.*

%files -n libmyth-devel
%defattr(-,root,root,-)
%{_includedir}/mythtv
%{_libdir}/*.so
%exclude %{_libdir}/*.a
%dir %{_datadir}/mythtv/build
%{_datadir}/mythtv/build/settings.pro

%if %{with perl}
%files -n perl-MythTV
%defattr(-,root,root,-)
%{perl_vendorlib}/MythTV.pm
%dir %{perl_vendorlib}/MythTV
%{perl_vendorlib}/MythTV/*.pm
%dir %{perl_vendorlib}/IO
%dir %{perl_vendorlib}/IO/Socket
%dir %{perl_vendorlib}/IO/Socket/INET
%{perl_vendorlib}/IO/Socket/INET/MythTV.pm
%exclude %{perl_vendorarch}/auto/MythTV/.packlist
%endif

%files -n python26-MythTV
%defattr(-,root,root,-)
#%dir %{python_sitelib}/MythTV/
#%{python_sitelib}/MythTV/*
#%{python_sitelib}/MythTV-*.egg-info
/usr/lib/python2.6/site-packages/*
%{_bindir}/mythpython

%files plugin-mytharchive
%defattr(-,root,root,-)
%doc mythplugins-%{version}/mytharchive/AUTHORS
%doc mythplugins-%{version}/mytharchive/COPYING
%doc mythplugins-%{version}/mytharchive/README
%doc mythplugins-%{version}/mytharchive/TODO
%{_bindir}/mytharchivehelper
%{_libdir}/mythtv/plugins/libmytharchive.so
%{_datadir}/mythtv/archivemenu.xml
%{_datadir}/mythtv/archiveutils.xml
%{_datadir}/mythtv/mytharchive
%{_datadir}/mythtv/i18n/mytharchive_*.qm


%files plugin-mythbrowser
%defattr(-,root,root,-)
%doc mythplugins-%{version}/mythbrowser/AUTHORS
%doc mythplugins-%{version}/mythbrowser/COPYING
%doc mythplugins-%{version}/mythbrowser/README
%{_libdir}/mythtv/plugins/libmythbrowser.so
%{_datadir}/mythtv/i18n/mythbrowser_*.qm


#%files plugin-mythflix
#%defattr(-,root,root,-)
#%doc mythplugins-%{version}/mythflix/AUTHORS
#%doc mythplugins-%{version}/mythflix/COPYING
#%doc mythplugins-%{version}/mythflix/README
#%{_libdir}/mythtv/plugins/libmythflix.so
#%{_datadir}/mythtv/mythflix
#%{_datadir}/mythtv/i18n/mythflix_*.qm
#%{_datadir}/mythtv/i18n/mythflix_*.ts
#%{_datadir}/mythtv/netflix_menu.xml


%files plugin-mythgallery
%defattr(-,root,root,-)
%doc mythplugins-%{version}/mythgallery/AUTHORS
%doc mythplugins-%{version}/mythgallery/COPYING
%doc mythplugins-%{version}/mythgallery/README
%{_libdir}/mythtv/plugins/libmythgallery.so
%{_datadir}/mythtv/i18n/mythgallery_*.qm
%{_localstatedir}/lib/pictures


%files plugin-mythgame
%defattr(-,root,root,-)
%dir %{_sysconfdir}/mythgame
%config(noreplace) %{_sysconfdir}/mythgame/gamelist.xml
%{_libdir}/mythtv/plugins/libmythgame.so
%dir %{_datadir}/mythtv/games
%dir %{_datadir}/mythtv/games/PC
%{_datadir}/mythtv/games/PC/gamelist.xml
%dir %{_datadir}/mythtv/games/xmame
%dir %{_datadir}/mame
%dir %{_datadir}/mame/screens
%dir %{_datadir}/mame/flyers
%{_datadir}/mythtv/game_settings.xml
%{_datadir}/mythtv/i18n/mythgame_*.qm


%files plugin-mythmovies
%defattr(-,root,root,-)
%doc mythplugins-%{version}/mythmovies/COPYING
%doc mythplugins-%{version}/mythmovies/README
%doc mythplugins-%{version}/mythmovies/TODO
%{_bindir}/ignyte
%{_datadir}/mythtv/themes/default/movies-ui.xml
%{_libdir}/mythtv/plugins/libmythmovies.so
%{_datadir}/mythtv/i18n/mythmovies_*.qm


%files plugin-mythmusic
%defattr(-,root,root,-)
%doc mythplugins-%{version}/mythmusic/AUTHORS
%doc mythplugins-%{version}/mythmusic/COPYING
%doc mythplugins-%{version}/mythmusic/README
%{_libdir}/mythtv/plugins/libmythmusic.so
%{_localstatedir}/lib/mythmusic
%{_datadir}/mythtv/musicmenu.xml
%{_datadir}/mythtv/music_settings.xml
%{_datadir}/mythtv/i18n/mythmusic_*.qm


%files plugin-mythnews
%defattr(-,root,root,-)
%doc mythplugins-%{version}/mythnews/AUTHORS
%doc mythplugins-%{version}/mythnews/COPYING
%doc mythplugins-%{version}/mythnews/README
%{_libdir}/mythtv/plugins/libmythnews.so
%{_datadir}/mythtv/mythnews
%{_datadir}/mythtv/i18n/mythnews_*.qm


%files plugin-mythvideo
%defattr(-,root,root,-)
%doc mythplugins-%{version}/mythvideo/COPYING
%doc mythplugins-%{version}/mythvideo/README*
%{_libdir}/mythtv/plugins/libmythvideo.so
%{_datadir}/mythtv/mythvideo
%{_datadir}/mythtv/i18n/mythvideo_*.qm
%{_datadir}/mythtv/video_settings.xml
%{_datadir}/mythtv/videomenu.xml
%{_localstatedir}/lib/mythvideo
%{_bindir}/mtd


%files plugin-mythweather
%defattr(-,root,root,-)
%doc mythplugins-%{version}/mythweather/AUTHORS
%doc mythplugins-%{version}/mythweather/COPYING
%doc mythplugins-%{version}/mythweather/README
#%{_libdir}/mythtv/plugins/libmythweather.so
#%{_datadir}/mythtv/i18n/mythweather_*.qm
#%{_datadir}/mythtv/weather_settings.xml
#%{_datadir}/mythtv/mythweather


%files mythweb
%defattr(-,root,root,-)
#%doc mythplugins-%{version}/mythweb/README
%dir %{_sysconfdir}/httpd
%dir %{_sysconfdir}/httpd/conf.d
%config(noreplace) %{_sysconfdir}/httpd/conf.d/mythweb.conf
%defattr(-,apache,apache,0775)
%dir %{contentdir}/html/mythweb
%{contentdir}/html/mythweb/*


%files plugin-mythzoneminder
%defattr(-,root,root,-)
%{_libdir}/mythtv/plugins/libmythzoneminder.so
%{_datadir}/mythtv/zonemindermenu.xml
%{_bindir}/mythzmserver
%{_datadir}/mythtv/i18n/mythzoneminder_*.qm


%files plugin-mythnetvision
%defattr(-,root,root,-)
%{_libdir}/mythtv/plugins/libmythnetvision.so
%{_datadir}/mythtv/netvisionmenu.xml
%{_datadir}/mythtv/i18n/mythnetvision_da.qm
%{_datadir}/mythtv/i18n/mythnetvision_et.qm
%{_datadir}/mythtv/i18n/mythnetvision_fr.qm
%{_datadir}/mythtv/i18n/mythnetvision_sv.qm
%{_datadir}/mythtv/mythnetvision/

%changelog
* Sun Jul 25 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.23.1-1
- Version update
* Tue Jun 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.23-1
- Version update
* Fri Feb 19 2010 Christian Metzen <metzench@ccux-linux.de> 0.22-5
- update to latest svn fix patches 23323
* Sun Dec 20 2009 Christian Metzen <metzench@ccux-linux.de> 0.22-4
- fix mythweb requires and file locations
- rename plugin packages
* Tue Dec 08 2009 Christian Metzen <metzench@ccux-linux.de> 0.22-3
- add mythbackend init script
- add scriplets for init script
- add logrotate config
* Tue Dec 08 2009 Christian Metzen <metzench@ccux-linux.de> 0.22-2
- add additional themes package
* Mon Dec 07 2009 Christian Metzen <metzench@ccux-linux.de> 0.22-1
- Initial CCux package release
